/*
 * include/asm-arm/arch-ixp4xx/ng.h
 *
 * Netgear FVX538/FVS338/DGFV338 platform specific definitions
 *
 * Author: Deepak Saxena <dsaxena@plexity.net>
 *
 * Copyright (c) 2006, TeamF1, Inc.
 * Copyright 2004 (c) MontaVista, Software, Inc.
 *
 * This file is licensed under  the terms of the GNU General Public
 * License version 2. This program is licensed "as is" without any
 * warranty of any kind, whether express or implied.
 */

#ifndef __ASM_ARCH_HARDWARE_H__
#error "Do not include this directly, instead #include <asm/hardware.h>"
#endif

#define	NG_FLASH_BASE	        IXP4XX_EXP_BUS_CS0_BASE_PHYS
#define	NG_FVX538_FLASH_SIZE	IXP4XX_EXP_BUS_CSX_REGION_SIZE * 2
#define	NG_FVS338_FLASH_SIZE	IXP4XX_EXP_BUS_CSX_REGION_SIZE
#define NG_DGFV338_FLASH_SIZE   IXP4XX_EXP_BUS_CSX_REGION_SIZE / 2

/* PCI controller GPIO to IRQ pin mappings */
#define	NG_PCI_SLOT0_PIN	8   /* CN501 */
#define	NG_PCI_SLOT1_PIN	1   /* RTL8110s */

#define	NG_PCI_SLOT0_DEVID	1
#define	NG_PCI_SLOT1_DEVID	15

#define NG_DGFV338_PCI_SLOT0_PIN  8
#define NG_DGFV338_PCI_SLOT1_PIN  9
#define NG_DGFV338_PCI_SLOT2_PIN  10

#define	NG_IDE_BASE_PHYS	IXP4XX_EXP_BUS_CS3_BASE_PHYS
#define	NG_IDE_BASE_VIRT	0xFFFE1000
#define	NG_IDE_REGION_SIZE	0x1000

#define	NG_IDE_DATA_PORT	0xFFFE10E0
#define	NG_IDE_CTRL_PORT	0xFFFE10FC
#define	NG_IDE_ERROR_PORT	0xFFFE10E2

/* DGFV338 PCI GPIO Clk pin */
#define NG_DGFV338_PCI_CLK  14

/* DGFV338 PCI Reset pin */
#define NG_DGFV338_SW_RESET 13
